myfaces-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rogerio Baldini <rogerio.bald...@powerlogic.com.br>
Subject Re: [Trinidad] Problem upgrading to version 1.0.5 of trinidad.
Date Thu, 26 Jun 2008 14:38:56 GMT

Simon,

It's not achieving the encodeBegin method. Error occurs before it.
I think the problem is very releated to what Yee-Wah said:
"After some testing, the problem was due to the RenderingContext being null.
Scriptlet initialization was happening during a static block of the
SimpleInputColorRenderer, not during the render phase, which explains why
the RenderingContext is null. This doesn't  appear to be a problem for
Trinidad because the
Trinidad renderkit implements deferred loading of renderers. In Ian's case,
he is extending a renderer and adding it to the Faces renderkit. I will
submit an addition to the patch to allow for extended renderers
not being in the Trinidad renderkit."
But I don't know how to solve that.

Thanks,
Rogerio.

-- 
View this message in context: http://www.nabble.com/-Trinidad--Problem-upgrading-to-version-1.0.5-of-trinidad.-tp14952357p18135524.html
Sent from the MyFaces - Users mailing list archive at Nabble.com.


Mime
View raw message